<?php

/*

Defautl template for all single pages

*/

get_header(); ?>


<?php if(have_posts()) : while (have_posts()) : the_post(); ?>

<div id="page"> 
	
	
	<!-- contains Heading and scrollable contents, floated to the left using CSS floats -->
	<article class="<?php if ( !has_post_thumbnail( $post->ID ) ): ?>full<?php endif; ?>"> 
	
		
		<!-- Main page Heading, display just above the scrollable content -->
		<h1><?php the_title(); ?></h1>
		
		<!-- Main page content, Scrollbar is generated using 'jQuery Custom Scrollbar Plugin', Please refer to the 'main.js' file, and find 'set_text_page()' for the JavaScript Code -->
		<div class="content"> 
			<!-- contents start here -->
			<?php the_content(); ?>
			<!-- contents ends here --> 
		</div>
		
	</article>
	
	<!-- 
	sidebar image for the page, is contained in 'aside' tag, 
	which is floated to the right, refer to main.css 
	-->	
	<?php if (has_post_thumbnail( $post->ID ) ): ?>
	<?php $image = wp_get_attachment_image_src( get_post_thumbnail_id( $post->ID ), 'page-featured' ); ?>
	<aside class="image">
		<?php //the_post_thumbnail(); ?>
		<img src="<?php echo $image[0]; ?>" alt="<?php the_title(); ?>">
	</aside>
	<?php endif; ?>
	
	<!-- to clear float, which cause layout problems in some browsers -->
	<div class="clear"></div>
</div>
	
<?php endwhile; endif; // end of the loop. ?>

<?php get_footer(); ?>

