<?php get_header(); ?>

<div id="page"> 
	
	
	<!-- contains Heading and scrollable contents, floated to the left using CSS floats -->
	<article class="full"> 
		
		<!-- Main page Heading, display just above the scrollable content -->
		<h1>News</h1>
		
		<!-- Main page content, Scrollbar is generated using 'jQuery Custom Scrollbar Plugin', Please refer to the 'main.js' file, and find 'set_text_page()' for the JavaScript Code -->
		<div class="content"> 
			<!-- contents start here -->			
			<?php
		
			$portfolio_args = array (
				'post_type' => 'news',
				'post_status' => 'publish',
				'posts_per_page' => -1,
				'orderby' => 'date',
				'order' => 'DESC'
			);
			
			$temp = $wp_query; // assign ordinal query to temp variable for later use  
			$wp_query = null;
			$wp_query = new WP_Query($portfolio_args);
			
			?>
			<?php
		
			if ( $wp_query->have_posts() ) :
			
				while ( $wp_query->have_posts() ) : $wp_query->the_post();
					?>
					<div class="news">
						<h2><a href="<?php the_permalink(); ?>"><?php the_title(); ?></a></h2>
						<div class="news_body">
							<?php the_excerpt(); ?>
						</div>
					</div>
					<?php 				
				endwhile;
				
			else: 			
			
				?>				
				<p>News not found!</p>				
				<?php
				
			endif;
			
			$wp_query = $temp;
			wp_reset_query();
			?>
			<!-- contents ends here --> 
		</div>
		
	</article>
	
	<!-- to clear float, which cause layout problems in some browsers -->
	<div class="clear"></div>
</div>

<?php get_footer(); ?>

