<?php get_header(); ?>

<?php if (have_posts()) : while (have_posts()) : the_post(); ?>

<h2 class="none"><?php the_title(); ?></h2>

<div id="gallery">
	<?php
	$images = rwmb_meta( 'portfolio_gallery', 'type=image_advanced' );
	if(	$images && count($images) > 0)
	{	
		?>
		<ul>		
			<?php
			foreach ( $images as $image )
			{
				$attachment_id = $image['ID']; // attachment ID
				// returns an array
				$image_attributes = wp_get_attachment_image_src( $attachment_id, 'portfolio-large' );				
				$image_caption = get_post( $attachment_id )->post_excerpt;
	
				?>
				<li><?php 
				if(!empty($image_caption)) 
				{
					?>
					<span><?php echo $image_caption; ?></span>
					<?php					
				} 
				?><img src="<?php echo $image_attributes[0]; ?>" alt="<?php echo $image['alt']; ?>"></li>
				<?php
			}
			?>
		</ul>
		<?php
	}
	else
	{
		?>
		<p>Gallery has no images!</p>
		<?php
	}
	?>
	
	<!-- to clear float, which cause layout problems in some browsers -->
	<div class="clear"></div>
</div>

<?php endwhile; endif; ?>

<?php get_footer(); ?>