<?php
/*

Template Name: Contact: with Form

*/
?>
<?php

get_header(); ?>


<?php if(have_posts()) : while (have_posts()) : the_post(); ?>

<div id="page"> 
	
	
	<!-- contains Heading and scrollable contents, floated to the left using CSS floats -->
	<article> 
	
		
		<!-- Main page Heading, display just above the scrollable content -->
		<h1><?php the_title(); ?></h1>
		
		<!-- Main page content, Scrollbar is generated using 'jQuery Custom Scrollbar Plugin', Please refer to the 'main.js' file, and find 'set_text_page()' for the JavaScript Code -->
		<div class="content"> 
			<!-- contents start here -->
			<?php the_content(); ?>
			<!-- contents ends here --> 
		</div>
		
	</article>
	
	<!-- sidebar image for the page, is contained in 'aside' tag, which is floated to the right, refer to main.css -->
	<aside class="contact">
		<div class="form_wrapper"> 
			
			<!-- Ajax form message will display below -->
			<div id="message"> 
			<!-- messages are just dummy messages. Please refer to the main.js file if you want to chang them --> 
			<span class="error">Please fill out the required fields.</span> <span class="confirm">Your message has been submitted.</span>
			</div>
			
			<div class="form">
			
				<?php 
				$passion_email = ot_get_option('passion_email', '');
				if(!empty($passion_email)) { ?>				
			
				<form id="contact-form" method="post" action="<?php echo get_template_directory_uri(); ?>/mailer.php">
					<div class="field">
						<label class="label" for="chabbu_contact_name">Name:</label>
						<input class="input" id="chabbu_contact_name" type="text" name="chabbu_contact_name">
					</div>
					<div class="field">
						<label class="label" for="chabbu_contact_email">Email:</label>
						<input class="input" id="chabbu_contact_email" type="text" name="chabbu_contact_email">
					</div>
					<div class="field">
						<label class="label" for="chabbu_contact_message">Message:</label>
						<textarea class="input textarea" id="chabbu_contact_message" name="chabbu_contact_message"></textarea>
					</div>
					<div class="field">
						<input type="hidden" name="chabbu_contact_receiver" value="<?php echo $passion_email; ?>">
						<button class="submit_button" name="chabbu_submit_button"> Send </button>
					</div>
				</form>
				<?php }else{ ?>
					<p>Please update your <strong>theme options</strong>.<br>A valid email is required, for contact form to work.</p>
				<?php } ?>
			</div>
				
		</div>
	</aside>	
	
	<!-- to clear float, which cause layout problems in some browsers -->
	<div class="clear"></div>
</div>

<?php endwhile; endif; // end of the loop. ?>

<?php get_footer(); ?>

