<?php
/*

Template Name: HOME: with Slideshow

*/
?>
<?php get_header(); ?>

<?php if (have_posts()) : while (have_posts()) : the_post(); ?>

<h2 class="none"><?php the_title(); ?></h2>
<div class="none"><?php the_content(); ?></div>

<div id="slideshow">

	<?php

    $slideshow_args = array (
        'post_type' => 'slideshow',
        'post_status' => 'publish',
        'posts_per_page' => -1,
		'orderby' => 'date',
		'order' => 'DESC'
    );
	
    $temp = $wp_query; // assign ordinal query to temp variable for later use  
    $wp_query = null;
    $wp_query = new WP_Query($slideshow_args);
	
	?>
	<?php

    if ( $wp_query->have_posts() ) : 
	
		?>			
		<div id="slides">			
			<?php 
			while ( $wp_query->have_posts() ) : $wp_query->the_post();
			 
				$images = rwmb_meta( 'slideshow_image', 'type=image_advanced' );
				
				if(	$images && is_array($images))
				{
					$slide = array_shift($images); // ger one image
					$attachment_id = $slide['ID']; // attachment ID
					// returns an array
					$image_attributes = wp_get_attachment_image_src( $attachment_id, 'portfolio-slide' ); 								
					?>
					<img src="<?php echo $image_attributes[0]; ?>" alt="<?php echo $slide['alt']; ?>">
					<?php
				}
				else
				{
					?>
					<?php //echo 'Image not found!'; ?>
					<?php
				}
				?>
				<?php 
				
			endwhile;
			 
			?>
		</div>
		
		<?php 
		
	else: 
	
		?>
		
		<p>Slideshow has no slides!</p>
		
		<?php
		
	endif;
	
	$wp_query = $temp;
	wp_reset_query();
	
	?>

	<!-- to clear float, which cause layout problems in some browsers -->
	<div class="clear"></div>
</div>

<?php endwhile; endif; ?>

<?php get_footer(); ?>

